Complexity:
Is Regression: No
Sprint Focus:
Subject: t3lib_BEfunc::getProcessedValue() did not handle TCA type inline
Description

Within the function t3lib_BEfunc::getProcessedValue() there is no case which handle the TCA type inline, so typo3/show_item.php
don't show these informations.

Furthermore the delimiter for the db-entries (types select and group) are inconsistence, one time it is a semicolon, the other times it is
a comma.

I have added the handling for inline tables to the case of 'select'.
I also changed all delimiter to semicolon.

within show_item.php it is necessary to pass the record uid.
(issue imported from #M14831)

Related issues:
related to Core - Bug # 23060: "View Item" does not resolve real MM Relations Resolved 2010-06-30
related to Core - Bug # 52133: Display title of related record when using fie... Resolved 2013-09-19
related to Core - Bug # 58951: show_item does not properly resolve MM group i... Closed 2014-05-20
related to Core - Bug # 59656: List mode doesn't show relation number, but tr... Closed 2014-06-18
related to Core - Bug # 59671: IRRE related child records are not listed (com... Resolved 2014-06-19

History
#1 - 2010-07-02 11:08 - Caspar Stuebs

This seems to be related to http://bugs.typo3.org/view.php?id=14949

#2 - 2013-10-21 09:37 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)
- Is Regression set to No

Hi,

as this issue is very old. Does the problem still exists within newer versions of TYPO3 CMS (4.5 or 6.1)?

As I understand the problem, this was fixed.
#3 - 2013-10-21 12:13 - Caspar Stuebs
- File 22970_v45_t3lib_befunc_getProcessedValue.patch added
- File 22970_v61_BackendUtility_getProcessedValue.patch added

Hi,

this Problem still exists in TYPO3 4.5 and 6.1

I have added new patches for both versions.

Greetings
Caspar

#4 - 2013-10-21 14:31 - Alexander Opitz

Ok thanks,

can you bring the patch against master into gerrit?

http://wiki.typo3.org/Contribution_Walkthrough_Tutorials

#5 - 2013-10-21 16:25 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24930

#6 - 2014-07-08 14:51 - Caspar Stuebs

This is related to #52133 and #59656

#7 - 2014-07-21 17:12 - Caspar Stuebs

Some more related Tickets: #59671, #58951

#8 - 2015-01-06 21:39 - Wouter Wolters
- Status changed from Under Review to Needs Feedback

Hi, in the meantime some patches are merged in this regard. Is this now fixed within TYPO3 CMS 7.0?

#9 - 2015-01-28 10:40 - Caspar Stuebs

I do not know if it is fixed in 7.0, but it still has problems within 6.2. Every patch that was merged still solved a part of it and not the whole issue.
E.g. if I define a image field as element title, I still get the ids and not the titles of the fal elements.

#10 - 2015-04-04 15:58 - Anja Leichsenring

I just tested with master, and for image fields I get the title in the inline field title, but no ID. So it seems this is fixed now.
If it is still an issue, could you please give me examples how to reproduce? A test extension, or maybe occurences in Core would be nice.

Thanks

#11 - 2015-04-04 16:14 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/24930

#12 - 2015-07-17 15:08 - Anja Leichsenring
- Status changed from Under Review to Rejected

open ever since, no feedback on request and I cannot reproduce. If you feel this is still an issue, just reopen the ticket.

Files
t3lib_befunc_getProcessedValue_show_item.patch 2.7 kB 2010-06-23 Administrator Admin
22970_v45_t3lib_befunc_getProcessedValue.patch 1.8 kB 2013-10-21 Caspar Stuebs
22970_v61_BackendUtility_getProcessedValue.patch 2 kB 2013-10-21 Caspar Stuebs
